Summary:	Picture viewer for X, with thumbnail-based file selector
Summary(pl.UTF-8):	Przeglądarka plików graficznych pod X Window System z obsługą miniatur
Name:		xzgv
Version:	0.9.2
Release:	2
License:	GPL v2+
Group:		X11/Applications/Graphics
Source0:	http://downloads.sourceforge.net/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	87d14e59268ace5ba83005a6e20e2be7
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-patch
Patch1:		%{name}-exif_orient.patch
URL:		http://sourceforge.net/projects/xzgv
BuildRequires:	gawk
BuildRequires:	gtk+2-devel >= 1:2.0
BuildRequires:	pkgconfig
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xzgv is a picture viewer for X, with a thumbnail-based file selector.
It uses GTK+ and Imlib. Most file formats are supported, and the
thumbnails used are compatible with xv, zgv, and the Gimp. It can also
be used with `xzgv file(s)', to effectively bypass the file selector.
For more on how xzgv works and how to use it, do `info xzgv' or `man
xzgv' once it's installed.

%description -l pl.UTF-8
xzgv jest przeglądarką plików graficznych pod X Window System z
obsługą miniatur. Używa GTK+ i Imliba. Obsługuje większość formatów, a
miniatury są zgodne z xv, zgv oraz Gimpem. Może być także używany jako
`xzgv plik(i)' w celu efektywnego pominięcia wbudowanego okna wyboru
plików. Więcej informacji jak działa ten program i jak go używać można
znaleźć na stronach podręcznika: `info xzgv' oraz `man xzgv'.
Oczywiście po instalacji.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	PREFIX=%{_prefix} \
	OPT="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

cd doc
rm -f *.gz
makeinfo xzgv.texi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_infodir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	INFODIR=$RPM_BUILD_ROOT%{_infodir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/xzgv
%{_infodir}/xzgv.info*
%{_mandir}/man1/xzgv.1*
%{_desktopdir}/xzgv.desktop
%{_pixmapsdir}/xzgv.png
%changelog
* Sun Oct 27 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xzgv.git;a=log;h=master

* Tue Jun 12 2018 Adam Osuchowski <adwol@pld-linux.org> b345f8c
- fix exif orientation support
- rel 2

* Sat Sep 23 2017 Adam Osuchowski <adwol@pld-linux.org> 47bd75d
- Source0 URL fix

* Sat Sep 23 2017 Adam Osuchowski <adwol@pld-linux.org> c11b467
- up to 0.9.2

* Sat Dec 03 2011 Adam Osuchowski <adwol@pld-linux.org> 65a2941
- up to 0.9.1

* Mon Feb 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 7d2a52b
- gdk-pixbuf package was gtk+1-specific; gtk-pixbuf-2.0 is included in gtk+2
- BR: pkgconfig
- pass CC

* Mon Feb 25 2008 Jan Rękorajski <baggins@pld-linux.org> 790aa7e
- updated to 0.9
- new URLs

* Mon Feb 25 2008 Jan Rękorajski <baggins@pld-linux.org> d01260f
- updated for 0.9

* Mon Feb 25 2008 Jan Rękorajski <baggins@pld-linux.org> 405fd7d
- outdated

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 8987554
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 25043b5
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 227ab5f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a73eea6
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> 46028c8
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Sat Apr 22 2006 Elan Ruusamäe <glen@pld-linux.org> 9a853b4
- CVE-2006-1060

* Sat Apr 22 2006 Elan Ruusamäe <glen@pld-linux.org> 822efa1
- add fix for CVE-2006-1060
- apply patch1 (CAN-2004-0994), rel 5

* Mon Dec 20 2004 Adam Gołębiowski <adamg@pld-linux.org> 2436689
- new

* Mon Dec 20 2004 Adam Gołębiowski <adamg@pld-linux.org> f179b66
- added CAN-2004-0994.patch (fixes integer overflow vulnerability)
- release 4

* Tue Nov 02 2004 paladine <paladine@pld-linux.org> 0183828
- rel 3 for fixed desktop file

* Tue Nov 02 2004 paladine <paladine@pld-linux.org> c964998
- Categories fix

* Sun Jul 04 2004 Adam Gołębiowski <adamg@pld-linux.org> 1e9d781
- release 2

